Change the value of an employee competence
Replaces the value (rating) of one existing employee competence.
Addressed by the employee-competence ID (EmployeeCompetenceItemRead.Id), not by employee + competence. Only the value changes. Omitting Value writes 0. A deactivated employee's values cannot be changed (37931).
Use it to:
- Update an employee's skill level after an assessment
Behaviour:
- Idempotent.
- Safe to retry.
- Duplicates: none
- Changes are visible to the next read immediately.
Call first: GET /v2/employee-competences
See also: POST /v2/employee-competences
Not yet documented: examples.
curl -X PUT "https://app3.timelog.com/your-account/api/v2/employee-competences" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"ID": 123,
"Value": 42
}'
import requests
import json
url = "https://app3.timelog.com/your-account/api/v2/employee-competences"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"ID": 123,
"Value": 42
}
response = requests.put(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://app3.timelog.com/your-account/api/v2/employee-competences", {
method: "PUT",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"ID": 123,
"Value": 42
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"ID": 123,
"Value": 42
}`)
req, err := http.NewRequest("PUT", "https://app3.timelog.com/your-account/api/v2/employee-competences", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app3.timelog.com/your-account/api/v2/employee-competences')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"ID": 123,
"Value": 42
}'
response = http.request(request)
puts response.body
"null"
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"Code": 100,
"Details": [],
"Message": "Unknown error occur in system, please contact system administrator.",
"Parameters": "model: {"ID":0,"Value":0}",
"Url": "https://app{server-number}.timelog.com/{account}/api/v2/employee-competences"
}
/v2/employee-competences
Target server for requests. Edit to use your own host.
OAuth 2.0 bearer token, sent as Authorization: Bearer <token>. JWT and reference tokens are both accepted. The token must carry the required scope (default tlp).
The token's sub claim is the acting user. A token WITHOUT sub (client-credentials) acts as the system service user. If the sub user cannot log in (inactive, locked, deleted), the request is rejected with 401 — it is no longer let through without a user.
> Not yet documented: how to obtain a token.
> Not yet documented: token lifetime.
Authorization: Bearer <token>. JWT and reference tokens are both accepted. The token must carry the required scope (default tlp).
The token's sub claim is the acting user. A token WITHOUT sub (client-credentials) acts as the system service user. If the sub user cannot log in (inactive, locked, deleted), the request is rejected with 401 — it is no longer let through without a user.
> Not yet documented: how to obtain a token.
> Not yet documented: token lifetime.The media type of the request body
ID of the employee competence — EmployeeCompetenceItemRead.Id from GET /v2/employee-competences, not the CompetenceId.
Refers to EmployeeCompetenceItemRead.Id. Look up valid values with GET /v2/employee-competences.
- Missing, 0 or unknown — The lookup throws → 500 Code 100.
The new value (rating). Full replace of the value; omitted = 0. Contains personal data. - Omitted — Binds as 0 and OVERWRITES the stored value with 0 — PUT is a full replace.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. OAuth 2.0 bearer token, sent as Authorization: Bearer <token>. JWT and reference tokens are both accepted. The token must carry the required scope (default tlp).
The token's sub claim is the acting user. A token WITHOUT sub (client-credentials) acts as the system service user. If the sub user cannot log in (inactive, locked, deleted), the request is rejected with 401 — it is no longer let through without a user.
Not yet documented: how to obtain a token.
Not yet documented: token lifetime.
Body
ID of the employee competence — EmployeeCompetenceItemRead.Id from GET /v2/employee-competences, not the CompetenceId.
Refers to EmployeeCompetenceItemRead.Id. Look up valid values with GET /v2/employee-competences.
- Missing, 0 or unknown — The lookup throws → 500 Code 100.
The new value (rating). Full replace of the value; omitted = 0.
Contains personal data.
- Omitted — Binds as 0 and OVERWRITES the stored value with 0 — PUT is a full replace.
Responses
*Success without content: HTTP 200 with the literal JSON body null. Literal JSON null.
Order: none
Empty result: none*